> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.voicecheap.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# OpenID Connect の検出メタデータを取得

> この環境の ID エンドポイント、対応スコープ、クレーム、ID トークンの署名アルゴリズムを確認します。

この環境の ID エンドポイント、対応スコープ、クレーム、ID トークンの署名アルゴリズムを確認します。

```http theme={null}
GET https://api.voicecheap.ai/.well-known/openid-configuration
```

## 認証

なし。

## リクエスト例

このルートに記載されたエンコード方式と認証方法に従ってください。アクション API のエンベロープと冪等性のルールは、アクションの呼び出しにのみ適用されます。

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET 'https://api.voicecheap.ai/.well-known/openid-configuration'
  ```

  ```javascript JavaScript theme={null}
  const input = {};
  const response = await fetch('https://api.voicecheap.ai/.well-known/openid-configuration', {
    method: 'GET',
    headers: {},
    redirect: 'manual',
  });
  console.log(response.status, await response.text());
  ```

  ```python Python theme={null}
  import os
  import requests

  response = requests.request(
      "GET",
      "https://api.voicecheap.ai/.well-known/openid-configuration",
      headers={},
      timeout=120,
      allow_redirects=False,
  )
  print(response.status_code, response.text)
  ```
</RequestExample>

## レスポンス

この環境の ID エンドポイント、対応スコープ、クレーム、ID トークンの署名アルゴリズムを確認します。

```json HTTP 200 theme={null}
{
  "issuer": "https://api.voicecheap.ai",
  "authorization_endpoint": "https://api.voicecheap.ai/oauth/authorize",
  "token_endpoint": "https://api.voicecheap.ai/oauth/token",
  "registration_endpoint": "https://api.voicecheap.ai/oauth/register",
  "revocation_endpoint": "https://api.voicecheap.ai/oauth/revoke",
  "userinfo_endpoint": "https://api.voicecheap.ai/oauth/userinfo",
  "jwks_uri": "https://api.voicecheap.ai/oauth/jwks",
  "response_types_supported": ["code"],
  "response_modes_supported": ["query"],
  "grant_types_supported": ["authorization_code", "refresh_token"],
  "subject_types_supported": ["public"],
  "id_token_signing_alg_values_supported": ["RS256"],
  "token_endpoint_auth_methods_supported": ["none"],
  "code_challenge_methods_supported": ["S256"],
  "scopes_supported": [
    "account:read",
    "usage:read",
    "settings:read",
    "settings:write",
    "team:read",
    "team:write",
    "projects:read",
    "projects:write",
    "projects:delete",
    "translations:write",
    "transcription:read",
    "transcription:write",
    "subtitles:read",
    "subtitles:write",
    "tts:read",
    "tts:write",
    "voices:read",
    "voices:write",
    "images:read",
    "images:write",
    "thumbnails:read",
    "thumbnails:write",
    "folders:read",
    "folders:write",
    "glossary:read",
    "glossary:write",
    "webhooks:read",
    "webhooks:write",
    "publishing:read",
    "publishing:write",
    "openid",
    "email",
    "offline_access"
  ],
  "claims_supported": ["sub", "iss", "aud", "iat", "exp", "nonce", "email", "email_verified"],
  "authorization_response_iss_parameter_supported": true,
  "client_id_metadata_document_supported": true
}
```

## レスポンスヘッダー

```json theme={null}
{
  "Cache-Control": "no-store"
}
```

## 操作の注意事項

* この環境で ID 連携が利用できない場合、OpenID Connect エンドポイントは HTTP 404 を返します。ID 機能を利用する前に検出情報を確認してください。
* openid と email は製品権限とは別の ID 権限であり、公開されている場合のみ受け付けられます。email には openid が必要です。初回の認可で ID スコープのみを指定すると、同意画面に表示される既定の製品権限が使われます。

## エラー

| HTTP ステータス | コード | 意味または対処方法 |
| - | - | - |
| 404 | `Not Found` | この環境で ID 連携が利用できない場合、OpenID Connect エンドポイントは HTTP 404 を返します。ID 機能を利用する前に検出情報を確認してください。 |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.